## audiofile 0.2.6-3osso5

=== test/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/audiofile
pkglibdir = $(libdir)/audiofile
pkgincludedir = $(includedir)/audiofile
top_builddir = ..

ACLOCAL = ${SHELL} /home/antviin/src/work/osso-mm/trunk/audiofile/missing --run aclocal
AUTOCONF = ${SHELL} /home/antviin/src/work/osso-mm/trunk/audiofile/missing --run autoconf
AUTOMAKE = ${SHELL} /home/antviin/src/work/osso-mm/trunk/audiofile/missing --run automake
AUTOHEADER = ${SHELL} /home/antviin/src/work/osso-mm/trunk/audiofile/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /home/antviin/src/work/osso-mm/trunk/audiofile/missing --run tar
AS = @AS@
AUDIOFILE_MAJOR_VERSION = 0
AUDIOFILE_MICRO_VERSION = 6
AUDIOFILE_MINOR_VERSION = 2
AUDIOFILE_VERSION = 0.2.6
AUDIOFILE_VERSION_INFO = 2:6:2
AUDIO_LIB = 
AWK = gawk
CC = gcc
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
EXEEXT = 
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = audiofile
RANLIB = ranlib
STRIP = strip
TEST_BIN = linuxtest
VERSION = 0.2.6
am__include = include
am__quote = 
install_sh = /home/antviin/src/work/osso-mm/trunk/audiofile/install-sh

INCLUDES = -I$(top_srcdir)/libaudiofile

noinst_PROGRAMS = \
	error \
	floatto24 \
	transparency \
	miscread \
	miscwrite \
	query2 \
	testaupv \
	writeaiff \
	writeircam \
	writenext \
	writewave \
	writeraw \
	writeavr \
	writeiff \
	writenist \
	writeulaw \
	writealaw \
	loop \
	instparamwrite \
	instparamtest \
	sixteen-to-eight \
	testfloat \
	twentyfour \
	twentyfour2 \
	pipe \
	testmarkers \
	testchannelmatrix \
	printmarkers \
	seek


EXTRA_DIST = transparency.sh misc.sh pipe.sh

TESTS = error writeaiff writeircam writenext writewave writeraw \
	writeavr writeiff writenist \
	writeulaw writealaw \
	misc.sh transparency.sh pipe.sh \
	query2 sixteen-to-eight twentyfour twentyfour2 floatto24 \
	testfloat testmarkers testchannelmatrix seek


LDADD = $(top_builddir)/libaudiofile/libaudiofile.la

DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
subdir = test
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
noinst_PROGRAMS = error$(EXEEXT) floatto24$(EXEEXT) \
	transparency$(EXEEXT) miscread$(EXEEXT) miscwrite$(EXEEXT) \
	query2$(EXEEXT) testaupv$(EXEEXT) writeaiff$(EXEEXT) \
	writeircam$(EXEEXT) writenext$(EXEEXT) writewave$(EXEEXT) \
	writeraw$(EXEEXT) writeavr$(EXEEXT) writeiff$(EXEEXT) \
	writenist$(EXEEXT) writeulaw$(EXEEXT) writealaw$(EXEEXT) \
	loop$(EXEEXT) instparamwrite$(EXEEXT) instparamtest$(EXEEXT) \
	sixteen-to-eight$(EXEEXT) testfloat$(EXEEXT) \
	twentyfour$(EXEEXT) twentyfour2$(EXEEXT) pipe$(EXEEXT) \
	testmarkers$(EXEEXT) testchannelmatrix$(EXEEXT) \
	printmarkers$(EXEEXT) seek$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)

error_SOURCES = error.c
error_OBJECTS = error.$(OBJEXT)
error_LDADD = $(LDADD)
error_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
error_LDFLAGS =
floatto24_SOURCES = floatto24.c
floatto24_OBJECTS = floatto24.$(OBJEXT)
floatto24_LDADD = $(LDADD)
floatto24_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
floatto24_LDFLAGS =
instparamtest_SOURCES = instparamtest.c
instparamtest_OBJECTS = instparamtest.$(OBJEXT)
instparamtest_LDADD = $(LDADD)
instparamtest_DEPENDENCIES = \
	$(top_builddir)/libaudiofile/libaudiofile.la
instparamtest_LDFLAGS =
instparamwrite_SOURCES = instparamwrite.c
instparamwrite_OBJECTS = instparamwrite.$(OBJEXT)
instparamwrite_LDADD = $(LDADD)
instparamwrite_DEPENDENCIES = \
	$(top_builddir)/libaudiofile/libaudiofile.la
instparamwrite_LDFLAGS =
loop_SOURCES = loop.c
loop_OBJECTS = loop.$(OBJEXT)
loop_LDADD = $(LDADD)
loop_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
loop_LDFLAGS =
miscread_SOURCES = miscread.c
miscread_OBJECTS = miscread.$(OBJEXT)
miscread_LDADD = $(LDADD)
miscread_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
miscread_LDFLAGS =
miscwrite_SOURCES = miscwrite.c
miscwrite_OBJECTS = miscwrite.$(OBJEXT)
miscwrite_LDADD = $(LDADD)
miscwrite_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
miscwrite_LDFLAGS =
pipe_SOURCES = pipe.c
pipe_OBJECTS = pipe.$(OBJEXT)
pipe_LDADD = $(LDADD)
pipe_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
pipe_LDFLAGS =
printmarkers_SOURCES = printmarkers.c
printmarkers_OBJECTS = printmarkers.$(OBJEXT)
printmarkers_LDADD = $(LDADD)
printmarkers_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
printmarkers_LDFLAGS =
query2_SOURCES = query2.c
query2_OBJECTS = query2.$(OBJEXT)
query2_LDADD = $(LDADD)
query2_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
query2_LDFLAGS =
seek_SOURCES = seek.c
seek_OBJECTS = seek.$(OBJEXT)
seek_LDADD = $(LDADD)
seek_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
seek_LDFLAGS =
sixteen_to_eight_SOURCES = sixteen-to-eight.c
sixteen_to_eight_OBJECTS = sixteen-to-eight.$(OBJEXT)
sixteen_to_eight_LDADD = $(LDADD)
sixteen_to_eight_DEPENDENCIES = \
	$(top_builddir)/libaudiofile/libaudiofile.la
sixteen_to_eight_LDFLAGS =
testaupv_SOURCES = testaupv.c
testaupv_OBJECTS = testaupv.$(OBJEXT)
testaupv_LDADD = $(LDADD)
testaupv_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
testaupv_LDFLAGS =
testchannelmatrix_SOURCES = testchannelmatrix.c
testchannelmatrix_OBJECTS = testchannelmatrix.$(OBJEXT)
testchannelmatrix_LDADD = $(LDADD)
testchannelmatrix_DEPENDENCIES = \
	$(top_builddir)/libaudiofile/libaudiofile.la
testchannelmatrix_LDFLAGS =
testfloat_SOURCES = testfloat.c
testfloat_OBJECTS = testfloat.$(OBJEXT)
testfloat_LDADD = $(LDADD)
testfloat_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
testfloat_LDFLAGS =
testmarkers_SOURCES = testmarkers.c
testmarkers_OBJECTS = testmarkers.$(OBJEXT)
testmarkers_LDADD = $(LDADD)
testmarkers_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
testmarkers_LDFLAGS =
transparency_SOURCES = transparency.c
transparency_OBJECTS = transparency.$(OBJEXT)
transparency_LDADD = $(LDADD)
transparency_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
transparency_LDFLAGS =
twentyfour_SOURCES = twentyfour.c
twentyfour_OBJECTS = twentyfour.$(OBJEXT)
twentyfour_LDADD = $(LDADD)
twentyfour_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
twentyfour_LDFLAGS =
twentyfour2_SOURCES = twentyfour2.c
twentyfour2_OBJECTS = twentyfour2.$(OBJEXT)
twentyfour2_LDADD = $(LDADD)
twentyfour2_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
twentyfour2_LDFLAGS =
writeaiff_SOURCES = writeaiff.c
writeaiff_OBJECTS = writeaiff.$(OBJEXT)
writeaiff_LDADD = $(LDADD)
writeaiff_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writeaiff_LDFLAGS =
writealaw_SOURCES = writealaw.c
writealaw_OBJECTS = writealaw.$(OBJEXT)
writealaw_LDADD = $(LDADD)
writealaw_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writealaw_LDFLAGS =
writeavr_SOURCES = writeavr.c
writeavr_OBJECTS = writeavr.$(OBJEXT)
writeavr_LDADD = $(LDADD)
writeavr_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writeavr_LDFLAGS =
writeiff_SOURCES = writeiff.c
writeiff_OBJECTS = writeiff.$(OBJEXT)
writeiff_LDADD = $(LDADD)
writeiff_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writeiff_LDFLAGS =
writeircam_SOURCES = writeircam.c
writeircam_OBJECTS = writeircam.$(OBJEXT)
writeircam_LDADD = $(LDADD)
writeircam_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writeircam_LDFLAGS =
writenext_SOURCES = writenext.c
writenext_OBJECTS = writenext.$(OBJEXT)
writenext_LDADD = $(LDADD)
writenext_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writenext_LDFLAGS =
writenist_SOURCES = writenist.c
writenist_OBJECTS = writenist.$(OBJEXT)
writenist_LDADD = $(LDADD)
writenist_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writenist_LDFLAGS =
writeraw_SOURCES = writeraw.c
writeraw_OBJECTS = writeraw.$(OBJEXT)
writeraw_LDADD = $(LDADD)
writeraw_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writeraw_LDFLAGS =
writeulaw_SOURCES = writeulaw.c
writeulaw_OBJECTS = writeulaw.$(OBJEXT)
writeulaw_LDADD = $(LDADD)
writeulaw_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writeulaw_LDFLAGS =
writewave_SOURCES = writewave.c
writewave_OBJECTS = writewave.$(OBJEXT)
writewave_LDADD = $(LDADD)
writewave_DEPENDENCIES = $(top_builddir)/libaudiofile/libaudiofile.la
writewave_LDFLAGS =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = -lm 
depcomp = $(SHELL) $(top_srcdir)/depcomp
DEP_FILES = $(DEPDIR)/error.Po $(DEPDIR)/floatto24.Po \
	$(DEPDIR)/instparamtest.Po \
	$(DEPDIR)/instparamwrite.Po $(DEPDIR)/loop.Po \
	$(DEPDIR)/miscread.Po $(DEPDIR)/miscwrite.Po \
	$(DEPDIR)/pipe.Po $(DEPDIR)/printmarkers.Po \
	$(DEPDIR)/query2.Po $(DEPDIR)/seek.Po \
	$(DEPDIR)/sixteen-to-eight.Po $(DEPDIR)/testaupv.Po \
	$(DEPDIR)/testchannelmatrix.Po \
	$(DEPDIR)/testfloat.Po $(DEPDIR)/testmarkers.Po \
	$(DEPDIR)/transparency.Po $(DEPDIR)/twentyfour.Po \
	$(DEPDIR)/twentyfour2.Po $(DEPDIR)/writeaiff.Po \
	$(DEPDIR)/writealaw.Po $(DEPDIR)/writeavr.Po \
	$(DEPDIR)/writeiff.Po $(DEPDIR)/writeircam.Po \
	$(DEPDIR)/writenext.Po $(DEPDIR)/writenist.Po \
	$(DEPDIR)/writeraw.Po $(DEPDIR)/writeulaw.Po \
	$(DEPDIR)/writewave.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2
DIST_SOURCES = error.c floatto24.c instparamtest.c instparamwrite.c \
	loop.c miscread.c miscwrite.c pipe.c printmarkers.c query2.c \
	seek.c sixteen-to-eight.c testaupv.c testchannelmatrix.c \
	testfloat.c testmarkers.c transparency.c twentyfour.c \
	twentyfour2.c writeaiff.c writealaw.c writeavr.c writeiff.c \
	writeircam.c writenext.c writenist.c writeraw.c writeulaw.c \
	writewave.c
DIST_COMMON = Makefile.am Makefile.in
SOURCES = error.c floatto24.c instparamtest.c instparamwrite.c loop.c miscread.c miscwrite.c pipe.c printmarkers.c query2.c seek.c sixteen-to-eight.c testaupv.c testchannelmatrix.c testfloat.c testmarkers.c transparency.c twentyfour.c twentyfour2.c writeaiff.c writealaw.c writeavr.c writeiff.c writeircam.c writenext.c writenist.c writeraw.c writeulaw.c writewave.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \

## audiofile 0.2.6-3osso4

=== debian/changelog ===
audiofile (0.2.6-3osso4) unstable; urgency=low

  * w17 interface release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 25 Apr 2005 14:49:30 +0300

audiofile (0.2.6-3osso3) unstable; urgency=low

  * Removed problemous files.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 12 Apr 2005 09:17:05 +0300

audiofile (0.2.6-3osso2) unstable; urgency=low

  * w13 interface release build.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 29 Mar 2005 10:52:01 +0300

audiofile (0.2.6-3osso1) unstable; urgency=low

  * w11 interface release build.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 14 Mar 2005 14:23:53 +0200

audiofile (0.2.6-3osso) unstable; urgency=low

  * Disabling tests. This is because of the tests mostly use /tmp directory
    instead of using $TMP or $TMPDIR and this breaks the Scracthbox building.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 23 Feb 2005 12:55:56 +0200

audiofile (0.2.6-3) unstable; urgency=low

  * Added patches:
    + [10_pack_real_char3] New.
      Convince gcc on ARM to only use three bytes of storage for a certain
      struct. Fixes 24bit support and regressions on ARM.
  * Removed patches:
    + [20_verbose_test_output] Obsolete.

 -- Daniel Kobras <kobras@debian.org>  Sun, 14 Mar 2004 01:45:04 +0100

audiofile (0.2.6-2) unstable; urgency=low

  * debian/rules: Make use of overridden CFLAGS.
  * Added patches:
    + [10_export_vfs] New.
      Use wildcards in exports file to ensure the complete namespace gets
      exported. Closes: #237336
    + [11_local_syms] New.
      Some non-exported functions used the af* namespace. Changed to _af*
      for consistency, and to facilitate wildcard matching in the exports
      file.
    + [10_warning_fixes] New.
      Add misc #includes in test files to silence compiler warnings.
    + [20_verbose_test_output] New.
      Enable debugging output in twentyfour test in order to catch
      regressions on ARM.

 -- Daniel Kobras <kobras@debian.org>  Thu, 11 Mar 2004 13:31:41 +0100

audiofile (0.2.6-1) unstable; urgency=low

  * New upstream version.
  * Added patches:
    + [10_update_libtool] New.
      Use recent libtool 1.5.2 as requested by KFreeBSD porters.
      Closes: #218376
  * Removed patches:
    + [10_string_include] Merged upstream.
    + [10_namespace_cleanup] Obsolete.
      Upstream now uses a separate file containing all exported symbol names.
  * debian/copyright: Update addresses and copyright information.
  * debian/rules: Run regression tests unless cross-compiling.

 -- Daniel Kobras <kobras@debian.org>  Tue,  9 Mar 2004 15:58:02 +0100

audiofile (0.2.4-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Move sfconvert and sfinfo binaries into -dev
    package as per policy.
  * debian/rules: Replace dh_movefiles with dh_install; bump debhelper
    compat to 4.
  * debian/rules: Switch to dpatch.
  * debian/control: Build-depend on dpatch.
  * debian/control: Bump versioned build-dependency on debhelper.
  * debian/control: Sanitize package descriptions.
  * debian/control: Complies with standards version 3.6.1.
  * debian/control: Change section of dev package to libdevel.
  * debian/control: Add conflicts/replaces to accomodate move of
    sf* binaries.
  * Applied patches:
    + [10_incorrect_wav_size] Old, converted to dpatch.
      Be lenient on WAV files with buggy size entry, provided all
      required chunks are present.
    + [10_namespace_cleanup] Old, converted to dpatch.
      Don't spill internal symbols into global namespace.
    + [10_sfinfo_no_options] Old, converted to dpatch.
    + [10_string_include] New.
      Include string.h to fix warning on 64bit archs.

 -- Daniel Kobras <kobras@debian.org>  Sun,  9 Nov 2003 15:12:25 +0100

audiofile (0.2.3-4) unstable; urgency=low

  * Implements afOpenVirtualFile(), so applications can actually make
    use of the API exposed in af_vfs.h. (Kudos to Daniel Schepler
    <schepler@math.berkeley.edu>.)
  * Include shlibs dependency on this version and up.  That's because
    the above amounts to an API change, or rather an API fix.  Previous
    versions declared the function in the headers, but didn't implement
    a stub in the lib itself.  Same with some of the changes between
    0.1.9, and 0.2.0, so it's really high time we add a shlibs version.

 -- Daniel Kobras <kobras@debian.org>  Fri,  1 Mar 2002 22:30:08 +0100

audiofile (0.2.3-3) unstable; urgency=low

  * Keep audiofile from looping endlessly on broken wave files whose
    header advertises too large a file size.

 -- Daniel Kobras <kobras@debian.org>  Fri,  1 Feb 2002 14:51:18 +0100

audiofile (0.2.3-2) unstable; urgency=low

  * Fix gross namespace pollution from audiofile-internal symbols.
    Closes: #128465

 -- Daniel Kobras <kobras@debian.org>  Mon, 21 Jan 2002 00:15:04 +0100

audiofile (0.2.3-1) unstable; urgency=low

  * New upstream version.
  * Configure with explicit host and build arch.
  * Don't clobber upstream config.{guess,sub}.

 -- Daniel Kobras <kobras@debian.org>  Fri, 26 Oct 2001 11:42:08 +0200

audiofile (0.2.2-2) unstable; urgency=low

  * From upstream CVS: support ADPCM decoding. Closes: #88962
  * From upstream CVS: afQuery() can return info on compression type.

 -- Daniel Kobras <kobras@debian.org>  Tue, 18 Sep 2001 09:22:12 +0200

audiofile (0.2.2-1) unstable; urgency=low

  * New upstream version.
  * Adjusted sfconvert man page to new options.
  * Reverted compression fix for Sun/NeXT, superceded by upstream changes.
  * New maintainer.

 -- Daniel Kobras <kobras@debian.org>  Wed, 25 Jul 2001 11:32:09 +0200

audiofile (0.2.1-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Revert bogus change to ltmain.sh.
  * Stop messing with config.{guess,sub}, link to version from
    autotools-dev instead.

 -- Daniel Kobras <kobras@debian.org>  Wed, 13 Jun 2001 09:55:54 +0200

audiofile (0.2.1-0.2) unstable; urgency=low

  * Non-maintainer upload.


=== debian/control ===
Source: audiofile
Section: libs
Priority: optional
Maintainer: Daniel Kobras <kobras@debian.org>
Build-Depends: debhelper (>= 4.1.1), autotools-dev, dpatch
Standards-Version: 3.6.1

Package: libaudiofile-dev
Section: libdevel
Architecture: any
Depends: libaudiofile0 (= ${Source-Version}), libc6-dev
Conflicts: libaudiofile0 (<= 0.2.3-4)
Replaces: libaudiofile0 (<= 0.2.3-4)
Description: Open-source version of SGI's audiofile library (header files)
 The audiofile library allows the processing of audio data to and from audio
 files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
 and raw data).
 .
 This package contains the development headers and library files needed to
 compile programs using libaudiofile, as well as example programs for
 identifying and converting audio files.

Package: libaudiofile0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Open-source version of SGI's audiofile library
 The audiofile library allows the processing of audio data to and from audio
 files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
 and raw data).
 .
 This package contains the library needed to run executables using
 libaudiofile.

## audiofile 0.2.6-3osso5

=== debian/changelog ===
audiofile (0.2.6-3osso5) unstable; urgency=low

  * Removed some files.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 26 May 2005 09:36:09 +0300

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

PACKAGE= audiofile

include /usr/share/dpatch/dpatch.make

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	audiofile_confflags += --build $(DEB_HOST_GNU_TYPE)
else
	audiofile_confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


version=`ls libaudiofile/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls libaudiofile/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Make sure we use the latest autotools helpers.
	if test -f config.sub; then \
                 mv config.sub config.sub.debsave; \
        fi
	if test -f config.guess; then \
                 mv config.guess config.guess.debsave; \
        fi

	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .


	CFLAGS="$(CFLAGS)" ./configure $(audiofile_confflags) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

	touch configure-stamp

build: build-stamp
build-stamp: patch-stamp configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

check: check-stamp
check-stamp: build-stamp
	dh_testdir
	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
		$(MAKE) check; \
	else \
		echo "Skipping regression tests because we appear to be cross-compiling"; \
	fi
	touch check-stamp
	
clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp check-stamp

	-$(MAKE) clean distclean
	
	if test -L config.sub; then \
                $(RM) config.sub; \
		if test -e config.sub.debsave; then \
                	mv config.sub.debsave config.sub; \
		fi; \
	fi
	if test -L config.guess; then \
                $(RM) config.guess; \
		if test -e config.guess.debsave; then \
                	mv config.guess.debsave config.guess; \
		fi; \
        fi

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/tmp/


# Build architecture-independent files here.
binary-indep: build check install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build check install
	dh_testdir
	dh_testroot

	dh_install -A --sourcedir=debian/tmp
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link -A
	dh_strip 
	dh_compress 
	dh_fixperms
	dh_makeshlibs -V 'libaudiofile0 (>= 0.2.3-4)'
	dh_installdeb
	dh_shlibdeps -L libaudiofile0 -l debian/libaudiofile0/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch check

## audiofile 0.2.6-7%2bmaemo-1

=== debian/changelog ===
audiofile (0.2.6-7+maemo-1) unstable; urgency=low

  * Build using mud-builder by cobb

 -- Daniel Kobras <kobras@debian.org>  Mon, 14 Sep 2009 11:39:17 +0100

audiofile (0.2.6-7) unstable; urgency=low

  * Added patches:
    + [20_exports_vpath_fix]
    + [21_exports_vpath_fixup]
      Add full path to symbol exports file to failure during VPATH builds.
    + [10_pkgconfig_privlibs]
      In pkgconfig file, strip libs section to minimal content and declare
      additional libraries as private. Closes: #374014
  * debian/audiofile-config.1: Add note to man page that audiofile-config
    is deprecated in favour of pkg-config.
  * debian/control: Add new package libaudiofile0-dbg, containing
    debugging symbols.
  * debian/control: Raise minimum version of debhelper build dependency
    to 5.
  * debian/control: Complies with version 3.7.2 of Debian policy.
  * debian/rules: Build binaries in separate obj directory rather than
    in-tree. Fixes errors when rebuilding. Closes: #424108
  * debian/rules: Raise debhelper compatibility level to 5 to enable
    proper support for debug packages.
  * debian/rules: Place stripped debugging symbols of libaudiofile0 in
    separate debug package.
  * debian/sfconvert.1, debian/sfinfo.1: Update list of supported
    file formats in man pages. Closes: #408847

 -- Daniel Kobras <kobras@debian.org>  Mon, 18 Jun 2007 22:49:46 +0200

audiofile (0.2.6-6) unstable; urgency=low

  * Added patches:
    [10_include_audiofile_in_af_vfs] New.
    af_vfs.h relies on audiofile.h being included already, so force the
    include. Closes: #300391

 -- Daniel Kobras <kobras@debian.org>  Sat, 19 Mar 2005 19:43:13 +0100

audiofile (0.2.6-5) unstable; urgency=low

  * Added patches:
    + [10_au_length_unspecified] New.
      Handle .au files with a length field of 0xffffffff (meaning
      unspecified). Closes: #264882
    + [10_sfconvert_add_nist_support] New, pulled from upstream BK tree.
      Add support for converting to the NIST SPHERE file format.
    + [10_support_nonstandard_aiffc] New, pulled from upstream BK tree.
      Add support for reading nonstandard uncompressed AIFF-C files created
      by Mac OS X.

 -- Daniel Kobras <kobras@debian.org>  Sat, 27 Nov 2004 22:06:57 +0100

audiofile (0.2.6-4) unstable; urgency=low

  * Added patches:
    + [10_m4_quoting_fix] New, pulled from upstream BK tree.
      Add a missing quote in audiofile.m4 to prevent breakage with
      automake 1.8. Closes: #254131
    + [10_update_docs] New, pulled from upstream BK tree.
      Update documentation of API functions.
  * Updated patches:
    + [10_export_vfs]
      Replaced own version with upstream fix.
  * Removed patches:
    + [11_local_syms]
      Obsoleted by export_vfs update.

 -- Daniel Kobras <kobras@debian.org>  Mon, 14 Jun 2004 12:46:11 +0200

=== debian/control ===
Source: audiofile
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: libs
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-Depends: dpatch
Standards-Version: 3.6.1

Package: libaudiofile-dev
Section: libdevel
Architecture: any
Depends: libaudiofile0 (= ${Source-Version}), libc6-dev
Conflicts: libaudiofile0 (<= 0.2.3-4)
Replaces: libaudiofile0 (<= 0.2.3-4)
Description: libaudiofile for Maemo Fremantle
  This is a version of libaudiofile to support the Fremantle port of libesd

Package: libaudiofile0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: libaudiofile for Maemo Fremantle
  This is a version of libaudiofile to support the Fremantle port of libesd

Package: libaudiofile0-dbg
Section: libdevel
Architecture: any
Depends: libaudiofile0 (= ${Source-Version})
Description: libaudiofile for Maemo Fremantle
  This is a version of libaudiofile to support the Fremantle port of libesd

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=4
+export DH_COMPAT=5
 
 PACKAGE= audiofile
 
@@ -52,23 +52,26 @@
 	ln -sf /usr/share/misc/config.guess .
 
 
-	CFLAGS="$(CFLAGS)" ./configure $(audiofile_confflags) \
-		--prefix=/usr --mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info
+	rm -rf "$(CURDIR)/obj"
+	mkdir "$(CURDIR)/obj"
+	cd "$(CURDIR)/obj" && \
+		CFLAGS="$(CFLAGS)" ../configure $(audiofile_confflags) \
+			--prefix=/usr --mandir=\$${prefix}/share/man \
+			--infodir=\$${prefix}/share/info
 
 	touch configure-stamp
 
 build: build-stamp
 build-stamp: patch-stamp configure-stamp
 	dh_testdir
-	$(MAKE)
+	cd "$(CURDIR)/obj" && $(MAKE)
 	touch build-stamp
 
 check: check-stamp
 check-stamp: build-stamp
 	dh_testdir
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
-		$(MAKE) check; \
+		cd "$(CURDIR)/obj" && $(MAKE) check; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
 	fi
@@ -79,7 +82,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp check-stamp
 
-	-$(MAKE) clean distclean
+	rm -rf "$(CURDIR)/obj"
 	
 	if test -L config.sub; then \
                 $(RM) config.sub; \
@@ -102,7 +105,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp/
+	cd "$(CURDIR)/obj" && $(MAKE) install DESTDIR="$(CURDIR)/debian/tmp/"
 
 
 # Build architecture-independent files here.
@@ -115,11 +118,12 @@
 	dh_testroot
 
 	dh_install -A --sourcedir=debian/tmp
-	dh_installdocs
-	dh_installman
-	dh_installchangelogs ChangeLog
+#	dh_installdocs
+#	dh_installman
+#	dh_installchangelogs ChangeLog
 	dh_link -A
-	dh_strip 
+	dh_strip -p libaudiofile0 --dbg-package=libaudiofile0-dbg
+	dh_strip
 	dh_compress 
 	dh_fixperms
 	dh_makeshlibs -V 'libaudiofile0 (>= 0.2.3-4)'

## audiofile 0.2.7

=== debian/changelog ===
audiofile (0.2.7-1) unstable; urgency=low

  * New maintainer.
    Thanks to Daniel Kobras <kobras@debian.org> for the great work done!
  * ACK NMU.
  * debian/*: wrap-and-sort
  * Update debian/watch.
  * Introduce Multi-Arch support.
  * Add shlibs:Depends to -DEV's Build-Depends field.

 -- Alessio Treglia <alessio@debian.org>  Sun, 15 Jan 2012 00:07:07 +0100

audiofile (0.2.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #586686):
    - Fix decoding of multi-channel ADPCM WAVE files.
    - Reduce unshared data in library.
    - Fix handling of audio files with more than 2^24 frames.
    - Add support for writing double-precision floating-point WAVE files.
    - Add support for reading certain uncompressed AIFF-C files created by
      Mac OS X.
    - Write fact chunk in floating-point WAVE files.
    A big 'thank you!' goes to the upstream author Michael Pruett for
    the great help.
  * Switch packaging to source format 3.0 (quilt).
  * Switch to DH 7 short-form:
    - Add ${misc:Depends} to packages' Depends fields.
  * Convert patches to the quilt format and then:
    - 10_update_docs: adopted upstream.
    - 10_update_libtool: not needed anymore as DH's autotools_dev add-on is
      used now
    - 10_export_vfs: applied upstream.
    - 10_pack_real_char3: refresh'd.
    - 10_incorrect_wav_size: applied upstream.
    - 10_au_length_unspecified: refresh'd.
    - 10_support_nonstandard_aiffc: adopted upstream.
    - 10_sfinfo_no_options: refresh'd.
    - 10_sfconvert_add_nist_support: applied upstream.
    - 10_warning_fixes: applied upstream.
    - 10_m4_quoting_fix: applied upstream.
    - 10_include_audiofile_in_af_vfs: refresh'd.
    - 10_pkgconfig_privlibs: dropped to avoid FTBFS with new toolchain.
    - 10_float_size_calculation_fix: refresh'd.
    - 20_exports_vpath_fix{,up}: applied upstream.
    - 22_CVE-2008-5824: superseded upstream.
  * Strip unneeded *.la files from -DEV package.
  * Add symbols file.
  * Add watch file.
  * Add Homepage.
  * Improve libaudiofile0-dbg's short description, fix Lintian's
    duplicate-short-description warning.
  * Fix Lintian's "binary-control-field-duplicates-source field" warning.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 25 Aug 2011 13:28:27 +0200

audiofile (0.2.6-8) unstable; urgency=low

  * Added patches:
    + [10_float_size_calculation_fix] New.
      Fix incorrect calculation of WAV sizes due to rounding errors.
      Patch thanks to Thomas Eschenbacher. Closes: #443888
  * debian/compat, debian/rules: No longer set debhelper compat level from
    rules file.
  * debian/control: Move dbg package to section debug, priority extra.
  * debian/control: Replace Source-Version substitutions with
    binary:Version.
  * debian/control: Complies with version 3.8.3 of Debian policy.
  * debian/README.source: Refer to dpatch documentation.

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Dec 2009 20:15:09 +0100

audiofile (0.2.6-7.1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * CVE-2008-5824: Fix buffer overflow when decompressing MS ADPCM .wav files
    (closes: #510205).

 -- Stefan Fritsch <sf@debian.org>  Sat, 28 Nov 2009 15:41:28 +0100

=== debian/control ===
Source: audiofile
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
 dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://audiofile.68k.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audiofile.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audiofile.git

Package: libaudiofile-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libaudiofile0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libaudiofile0 (<= 0.2.3-4)
Replaces: libaudiofile0 (<= 0.2.3-4)
Description: Open-source version of SGI's audiofile library (header files)
 The audiofile library allows the processing of audio data to and from audio
 files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
 and raw data).
 .
 This package contains the development headers and library files needed to
 compile programs using libaudiofile, as well as example programs for
 identifying and converting audio files.

Package: libaudiofile0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Open-source version of SGI's audiofile library
 The audiofile library allows the processing of audio data to and from audio
 files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
 and raw data).
 .
 This package contains the library needed to run executables using
 libaudiofile.

Package: libaudiofile0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libaudiofile0 (= ${binary:Version}),
 ${misc:Depends}
Description: Open-source version of SGI's audiofile library (debug)
 The audiofile library allows the processing of audio data to and from audio
 files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
 and raw data).
 .
 This package contains debugging symbols for the audiofile shared library.
 Tools like gdb and ltrace make use of these symbols.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip -plibaudiofile0 --dbg-package=libaudiofile0-dbg
	dh_strip --remaining-packages

override_dh_makehslibs:
	dh_makeshlibs -V 'libaudiofile0 (>= 0.2.3-4)'

override_dh_auto_test:
	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
		dh_auto_test ; \
	else \
		echo "Skipping regression tests because we appear to be cross-compiling"; \
	fi

## audiofile 0.3.3

=== debian/changelog ===
audiofile (0.3.3-2) unstable; urgency=low

  * Move sfinfo and sfconvert tools into a new audiofile-tools package;
    thanks to Jakub Wilk for having reported this (Closes: #656883).
    - The utilities provided by audiofile-tools are not needed
      by the shared library to work properly, so there's no
      need to set a Multi-Arch: foreign field.

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 Jan 2012 20:50:31 +0100

audiofile (0.3.3-1) unstable; urgency=low

  * Upload to unstable.
  * Remove debian/README.* files, which contain outdate information.
  * Remove audiofile-config's manpage, it is no longer provided.
  * Don't install TODO as -dev's doc file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Jan 2012 21:43:29 +0100

audiofile (0.3.3-1~exp1) experimental; urgency=low

  * New upstream release.
  * SONAME bump.
  * Add pkg-config to libaudiofile-dev's Recommends field.
  * Move debugging symbols from libaudiofile0-dbg to unversioned
    libaudiofile-dbg.
  * Remove obsolete Conflicts/Replaces on libaudiofile0 (<= 0.2.3-4)
    from libaudiofile-dev's stanza.

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 Jan 2012 10:26:34 +0100

audiofile (0.3.2-1) experimental; urgency=low

  * New maintainer, thanks to Daniel Kobras for the great work.
  * New upstream stable release.
  * Update debian/watch.
  * Remove debian/patches, all patches are obsolete or adopted upstream.
  * Drop libaudiofile0.symbols, use dh_makeshlibs -V for now.
  * Drop audiofile.m4 as it's no longer provided.
  * Build-Depends on libasound2-dev to build the example program.
  * Don't provide static library anymore.
  * Add MultiArch support. (Closes: #651029) (LP: #900153)
  * Add ${shlibs:Depends} to the -DEV's Depends field.
  * Pass --enable-static=no to configure.
  * Update debian/copyright.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Jan 2012 13:03:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,36 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
- dh-autoreconf
+ dh-autoreconf,
+ libasound2-dev
 Standards-Version: 3.9.2
 Homepage: http://audiofile.68k.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audiofile.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audiofile.git
+
+Package: audiofile-tools
+Section: utils
+Architecture: any
+Depends: ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libaudiofile-dev (<= 0.3.3-1)
+Replaces: libaudiofile-dev (<= 0.3.3-1)
+Description: sfinfo and sfconvert tools
+ The audiofile library allows the processing of audio data to and from audio
+ files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
+ and raw data).
+ .
+ This package contains the sfinfo and sfconvert tools.
 
 Package: libaudiofile-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libaudiofile0 (= ${binary:Version}),
+Depends: libaudiofile1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Conflicts: libaudiofile0 (<= 0.2.3-4)
-Replaces: libaudiofile0 (<= 0.2.3-4)
+Recommends: pkg-config
 Description: Open-source version of SGI's audiofile library (header files)
  The audiofile library allows the processing of audio data to and from audio
  files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
@@ -29,7 +43,7 @@
  compile programs using libaudiofile, as well as example programs for
  identifying and converting audio files.
 
-Package: libaudiofile0
+Package: libaudiofile1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -43,12 +57,12 @@
  This package contains the library needed to run executables using
  libaudiofile.
 
-Package: libaudiofile0-dbg
+Package: libaudiofile-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libaudiofile0 (= ${binary:Version}),
+Depends: libaudiofile1 (= ${binary:Version}),
  ${misc:Depends}
 Description: Open-source version of SGI's audiofile library (debug)
  The audiofile library allows the processing of audio data to and from audio

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,17 @@
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-static=no
 
 override_dh_strip:
-	dh_strip -plibaudiofile0 --dbg-package=libaudiofile0-dbg
+	dh_strip -plibaudiofile1 --dbg-package=libaudiofile-dbg
 	dh_strip --remaining-packages
 
 override_dh_makehslibs:
-	dh_makeshlibs -V 'libaudiofile0 (>= 0.2.3-4)'
+	dh_makeshlibs -V
 
 override_dh_auto_test:
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \

## audiofile 0.3.4

=== debian/changelog ===
audiofile (0.3.4-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Long Term Security Team.
  * Added missing build dependency on asciidoc. Closes: #857784.
  * Correction for security problems. Closes: #857651.
    - CVE-2017-6829.
    - CVE-2017-6830.
    - CVE-2017-6831.

 -- Ola Lundqvist <opal@debian.org>  Tue, 14 Mar 2017 21:25:12 +0000

audiofile (0.3.4-2) unstable; urgency=low

  * Under certain conditions tests would fail as /tmp/test might
    not be writeable. Thanks to Giovanni Mascellani for the great
    work. (Closes: #687405)

 -- Alessio Treglia <alessio@debian.org>  Sun, 14 Oct 2012 12:23:50 +0100

audiofile (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Bump requirement on DH 9.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 10:41:40 +0200

audiofile (0.3.3-3) unstable; urgency=low

  [ Paul Wise ]
  * Fix typo noticed by wald0:
    - debian/rules: override_dh_makehslibs -> override_dh_makeshlibs

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Feb 2012 11:34:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 9),
  dh-autoreconf,
- libasound2-dev
-Standards-Version: 3.9.2
+ libasound2-dev,
+ asciidoc
+Standards-Version: 3.9.3
 Homepage: http://audiofile.68k.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audiofile.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audiofile.git
@@ -14,10 +17,13 @@
 Package: audiofile-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
+ ${misc:Depends},
  ${shlibs:Depends}
-Breaks: libaudiofile-dev (<= 0.3.3-1)
-Replaces: libaudiofile-dev (<= 0.3.3-1)
+Breaks:
+ libaudiofile-dev (<= 0.3.3-1)
+Replaces:
+ libaudiofile-dev (<= 0.3.3-1)
 Description: sfinfo and sfconvert tools
  The audiofile library allows the processing of audio data to and from audio
  files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
@@ -30,10 +36,12 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libaudiofile1 (= ${binary:Version}),
+Depends:
+ libaudiofile1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends: pkg-config
+Recommends:
+ pkg-config
 Description: Open-source version of SGI's audiofile library (header files)
  The audiofile library allows the processing of audio data to and from audio
  files of many common formats (currently AIFF, AIFF-C, WAVE, NeXT/Sun, BICS,
@@ -47,7 +55,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
+Depends:
+ ${misc:Depends},
  ${shlibs:Depends}
 Description: Open-source version of SGI's audiofile library
  The audiofile library allows the processing of audio data to and from audio
@@ -62,7 +71,8 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libaudiofile1 (= ${binary:Version}),
+Depends:
+ libaudiofile1 (= ${binary:Version}),
  ${misc:Depends}
 Description: Open-source version of SGI's audiofile library (debug)
  The audiofile library allows the processing of audio data to and from audio

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_strip -plibaudiofile1 --dbg-package=libaudiofile-dbg
 	dh_strip --remaining-packages
 
-override_dh_makehslibs:
+override_dh_makeshlibs:
 	dh_makeshlibs -V
 
 override_dh_auto_test:

## audiofile 0.3.5

=== debian/changelog ===
audiofile (0.3.5-1) experimental; urgency=low

  * New upstream release:
    - Implement IMA ADPCM encoding and decoding for AIFF-C, CAF,
      and WAVE files.
    - Implement Microsoft ADPCM encoding for WAVE files.
    - Fix calculation of IRCAM frame size.
    - Record marker comments in WAVE files.
    - Improve validation of compressed audio formats.
    - Add support for building without documentation.
  * Re-enable build of static libs.
  * Adjust debian/gbp.conf according to "experimental" setup.
  * Remove 0001-ftbfs_tmp_unique_fnames.patch, applied upstream.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Feb 2013 19:45:59 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libasound2-dev,
- asciidoc
-Standards-Version: 3.9.3
+ libasound2-dev
+Standards-Version: 3.9.4
 Homepage: http://audiofile.68k.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audiofile.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audiofile.git
